using System;
using System.Collections.Generic;
using System.Linq;

using MonoTouch.Foundation;
using MonoTouch.UIKit;

namespace notes.iPhone
{
    [Register("AppDelegate")]
    public partial class AppDelegate : UIApplicationDelegate
    {
        UIWindow window;
        MyViewController viewController;

        public override bool FinishedLaunching(UIApplication app, NSDictionary options)
        {
            window = new UIWindow(UIScreen.MainScreen.Bounds);

            var rootNavigationController = new UINavigationController();
            
            viewController = new MyViewController();

            rootNavigationController.PushViewController(viewController, false);

            window.RootViewController = rootNavigationController;

            window.MakeKeyAndVisible();

            return true;
        }
    }
}

